]> icculus.org git repositories - dana/openbox.git/blob - release/bugs
Make warnings about parse problems in .desktop files "debug" messages. Most people...
[dana/openbox.git] / release / bugs
1 #!/bin/sh
2
3 help() {
4   echo "Usage: $0 <revision> [lastrelease]"
5   echo
6   echo "  <revision>    The revision which should be used for release."
7   echo "  [lastrelease] The revision of the most recent release made."
8   echo "                By default it uses the most recent release-tag."
9   exit 1
10 }
11
12 error() {
13   echo "error: $1"
14   clean
15   exit 1
16 }
17
18 test -e "./openbox/openbox.c" || \
19   error "must be run from the project's top level directory"
20
21 REV="$1"
22 test -z "$REV" && help
23 RELEASE_SHA=$(git rev-parse "$REV")
24 test $? = 0 || error "revision $REV not found"
25
26 LAST="$2"
27 if test -z "$LAST"; then
28     LAST=$(git describe --match 'release-*' $REV)
29     test $? == 0 || \
30         error "unable to find last release"
31 fi
32
33 #### CHANGELOG #####
34
35 git log --no-merges $LAST..$REV --oneline|grep '#[0-9]'|cut -d\# -f 2|awk '{printf "#%d, ", $1}'
36 echo | awk '{printf "\b\b \n"}'
37
38 exit 0